> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.ibee.co.in/docs/api-reference/secret-store/update-secret-identity-scope/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.ibee.co.in/_mcp/server. # Update application identity scope PATCH https://api.ibee.co.in/v1/secret-store/scopes/{scope_id} Content-Type: application/json Updates store access and version permissions for a scope. Requires scope: secret-store.write. Reference: https://docs.ibee.co.in/docs/api-reference/secret-store/update-secret-identity-scope ## Authentication - `Authorization` header (bearer token, required) — IBEE platform API token. Production tokens start with `ibee_prod_key_`; development tokens start with `ibee_dev_key_`. Use a token only with its matching gateway environment. ## Servers - `https://api.ibee.co.in/v1` (Production, default) - `https://api.ibee.co.in/v1` (Development) ## Request ### Path parameters - `scope_id` (string, required) — Secret Store identity scope ID. ### Query parameters - `workspace_id` (string, required) — The positive numeric workspace ID to scope this request to. Zero, negative, and non-numeric values are rejected. ### Body (application/json) This endpoint expects an UpdateSecretIdentityScopeRequest. - `access_mode` (enum, optional) - Allowed values: `read_only`, `read_write` - `allow_version_read` (boolean, optional) - `allow_rollback` (boolean, optional) - `allow_destroy` (boolean, optional) ## Response ### 200 Scope updated successfully. - `id` (string, required) - `identity_id` (string, required) - `scope_type` (string, required) - `store_id` (string, required) - `organization_id` (string, required) - `workspace_id` (string, required) - `access_mode` (enum, required) - Allowed values: `read_only`, `read_write` - `allow_version_read` (boolean, required) - `allow_rollback` (boolean, required) - `allow_destroy` (boolean, required) - `created_at` (datetime, required) ## Errors ### 400 Bad Request Error The request is invalid. - `detail` (ErrorDetail, optional) ### 401 Unauthorized Error The API token is missing or invalid. - `detail` (ErrorDetail, optional) ### 403 Forbidden Error The token is not allowed to access the workspace or does not have the required scope. - `detail` (ErrorDetail, optional) ### 404 Not Found Error The requested resource was not found. - `detail` (ErrorDetail, optional) ## Types ### ErrorDetail ## Examples **Request** ```json { "access_mode": "read_write", "allow_version_read": true, "allow_rollback": true, "allow_destroy": false } ``` **Response** ```json { "id": "string", "identity_id": "string", "scope_type": "string", "store_id": "string", "organization_id": "string", "workspace_id": "string", "access_mode": "read_only", "allow_version_read": true, "allow_rollback": true, "allow_destroy": true, "created_at": "2024-01-15T09:30:00Z" } ``` **SDK Code** ```python Secret Store_updateSecretIdentityScope_example import requests url = "https://api.ibee.co.in/v1/secret-store/scopes/scope_id" querystring = {"workspace_id":"710995"} payload = { "access_mode": "read_write", "allow_version_read": True, "allow_rollback": True, "allow_destroy": False } headers = { "Authorization": "Bearer ", "Content-Type": "application/json" } response = requests.patch(url, json=payload, headers=headers, params=querystring) print(response.json()) ``` ```javascript Secret Store_updateSecretIdentityScope_example const url = 'https://api.ibee.co.in/v1/secret-store/scopes/scope_id?workspace_id=710995'; const options = { method: 'PATCH', headers: {Authorization: 'Bearer ', 'Content-Type': 'application/json'}, body: '{"access_mode":"read_write","allow_version_read":true,"allow_rollback":true,"allow_destroy":false}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go Secret Store_updateSecretIdentityScope_example package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://api.ibee.co.in/v1/secret-store/scopes/scope_id?workspace_id=710995" payload := strings.NewReader("{\n \"access_mode\": \"read_write\",\n \"allow_version_read\": true,\n \"allow_rollback\": true,\n \"allow_destroy\": false\n}") req, _ := http.NewRequest("PATCH", url, payload) req.Header.Add("Authorization", "Bearer ") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby Secret Store_updateSecretIdentityScope_example require 'uri' require 'net/http' url = URI("https://api.ibee.co.in/v1/secret-store/scopes/scope_id?workspace_id=710995") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Patch.new(url) request["Authorization"] = 'Bearer ' request["Content-Type"] = 'application/json' request.body = "{\n \"access_mode\": \"read_write\",\n \"allow_version_read\": true,\n \"allow_rollback\": true,\n \"allow_destroy\": false\n}" response = http.request(request) puts response.read_body ``` ```java Secret Store_updateSecretIdentityScope_example import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.patch("https://api.ibee.co.in/v1/secret-store/scopes/scope_id?workspace_id=710995") .header("Authorization", "Bearer ") .header("Content-Type", "application/json") .body("{\n \"access_mode\": \"read_write\",\n \"allow_version_read\": true,\n \"allow_rollback\": true,\n \"allow_destroy\": false\n}") .asString(); ``` ```php Secret Store_updateSecretIdentityScope_example request('PATCH', 'https://api.ibee.co.in/v1/secret-store/scopes/scope_id?workspace_id=710995', [ 'body' => '{ "access_mode": "read_write", "allow_version_read": true, "allow_rollback": true, "allow_destroy": false }', 'headers' => [ 'Authorization' => 'Bearer ', 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp Secret Store_updateSecretIdentityScope_example using RestSharp; var client = new RestClient("https://api.ibee.co.in/v1/secret-store/scopes/scope_id?workspace_id=710995"); var request = new RestRequest(Method.PATCH); request.AddHeader("Authorization", "Bearer "); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{\n \"access_mode\": \"read_write\",\n \"allow_version_read\": true,\n \"allow_rollback\": true,\n \"allow_destroy\": false\n}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift Secret Store_updateSecretIdentityScope_example import Foundation let headers = [ "Authorization": "Bearer ", "Content-Type": "application/json" ] let parameters = [ "access_mode": "read_write", "allow_version_read": true, "allow_rollback": true, "allow_destroy": false ] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://api.ibee.co.in/v1/secret-store/scopes/scope_id?workspace_id=710995")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "PATCH" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```